
Infrastructure - Task #2626

Story # 1189 (Closed): Secure transport for all DataONE services

Secure CILogon postgresql communication

2012-04-23 16:40 - Chris Jones

Status: Closed Start date: 2012-04-23

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_portal_servlet Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The certificates database is currently installed on a single CN and communicates over port 5432 in cleartext.  This should either be

exposed through a VPN only, or postgres-based encryption.

History

#1 - 2012-04-24 18:10 - Ben Leinfelder

- Status changed from New to In Progress

Sent an email to Jeff Gaynor re: SSL for the JDBC connection. Doesn't look like there's a current option for that with the CILogon delegation store, but

they've been so receptive to requests for enhancements we might find that option added.

#2 - 2012-04-25 18:55 - Ben Leinfelder

- Status changed from In Progress to Closed

Deployed and tested portal with new CILogon 1.3.3 libraries on cn-dev-rr and we are in SSL business!
